#
# spec file for package libspectre (Version 0.2.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Url:            http://libspectre.freedesktop.org/wiki/

Name:           libspectre
License:        GPLv2+
Group:          Development/Libraries/C and C++
Summary:        Library for Rendering PostScript Documents
Version:        0.2.6
Release:        1
Source0:        %name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define debug_package_requires libspectre1 = %{version}-%{release}
BuildRequires:  ghostscript-devel ghostscript-library
BuildRequires:  pkg-config

%description
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%package -n libspectre1
License:        GPLv2+
Group:          Development/Libraries/C and C++
Summary:        Library for Rendering PostScript Documents

%description -n libspectre1
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%package -n libspectre-devel
License:        GPLv2+
Group:          Development/Libraries/C and C++
Summary:        Library for Rendering PostScript Documents
Requires:       libspectre1 >= %version
%requires_eq ghostscript-devel

%description -n libspectre-devel
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%prep
%setup -q

%build
%configure --disable-static --enable-shared
make %{?jobs:-j %jobs}

%install
%makeinstall

%post -n libspectre1 -p /sbin/ldconfig

%postun -n libspectre1 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n libspectre1
%defattr(-, root, root)
%_libdir/libspectre.so.1*

%files -n libspectre-devel
%defattr(-, root, root)
/usr/include/libspectre
%_libdir/libspectre.la
%_libdir/libspectre.so
%_libdir/pkgconfig/libspectre.pc

%changelog
